#pragma once
#include "global.h"
class CMyListBox : public CListBox
{
	DECLARE_DYNAMIC(CMyListBox)
	DECLARE_MESSAGE_MAP()
public:
	void (*MyOnRButtonDown)(CString selectedItemText, CWnd* parentWnd) = nullptr;
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);//右键菜单
	void SetMenu(int selectedMenu, int notSelectedMenu = 0);
	void SetDisableMenu(std::vector<UINT>* pMenuList);
	void AddDisableMenu(UINT menu);
	void ClearDisableMenu();
private:
	int selectedMenu, notSelectedMenu;
	std::vector<UINT> disableMenuList;
};

